# Class AutoToolChoice

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the auto tool choice mode.

    public class AutoToolChoice : ToolChoice

Inheritance
  object
  ToolChoice
  AutoToolChoice

Inherited Members
  ToolChoice.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### AutoToolChoice()

Initializes a new instance of the AutoToolChoice class.

    public AutoToolChoice()